Documentation IndexFetch the complete documentation index at: /docs/llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: /docs/llms.txt
Use this file to discover all available pages before exploring further.
JavaScript
import { createClient } from '@spree/sdk' const client = createClient({ baseUrl: 'https://your-store.com', publishableKey: '<api-key>', }) const wishlist = await client.wishlists.update('wl_abc123', { name: 'Updated Name', }, { token: '<token>', })
curl --request PATCH \ --url http://{defaultHost}/api/v3/store/wishlists/{id} \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --header 'x-spree-api-key: <api-key>' \ --data ' { "name": "Updated Name", "is_private": true, "is_default": false } '
{ "id": "wl_UkLWZg9DAJ", "name": "Updated Name", "token": "wtMUcDqiyhbWHFCF11dD7oCn", "is_default": false, "is_private": true }
Publishable API key for store access
JWT token for authenticated customers
"Updated Name"
true
false
wishlist updated
Show child attributes
Was this page helpful?
Contact support